package com.goldenwater.slaj.hazard.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.hazard.domain.HazardSource;

/**
 * 危险源风险 数据层
 */
@Mapper
public interface HazardSourceMapper {

    /**
     * 查询危险源风险信息
     * @param guid 查询条件
     * @return 危险源风险信息
     */
    HazardSource selectHazardSourceByGuid(String guid);

    /**
     * 查询危险源风险列表
     * @param hazardSource 危险源风险查询条件
     * @return 危险源风险集合
     */
    List<HazardSource> selectHazardSourceList(HazardSource hazardSource);

    /**
     * 新增危险源风险
     * @param hazardSource 危险源风险信息
     * @return 影响行数
     */
    int insertHazardSource(HazardSource hazardSource);

    /**
     * 修改危险源风险
     * @param hazardSource 危险源风险信息
     * @return 影响行数
     */
    int updateHazardSource(HazardSource hazardSource);

    /**
     * 删除危险源风险
     * @param guid 危险源风险主键
     * @return 影响行数
     */
    int deleteHazardSourceByGuid(String guid);

    /**
     * 批量删除危险源风险
     * @param guids 危险源风险主键数组
     * @return 影响行数
     */
    int deleteHazardSourceByGuids(String[] guids);
}
